Debian Bug report logs - #541884
must use blkid instead of vol_id

version graph

Package: mdadm; Maintainer for mdadm is Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>; Source for mdadm is src:mdadm.

Reported by: Marco d'Itri <md@linux.it>

Date: Sun, 16 Aug 2009 21:18:02 UTC

Severity: grave

Merged with 548629, 548913

Found in version mdadm/3.0-2

Fixed in versions mdadm/3.0-3.1, mdadm/3.0.3-1

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, md@linux.it, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#541884; Package mdadm. (Sun, 16 Aug 2009 21:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@linux.it>:
New Bug report received and forwarded. Copy sent to md@linux.it, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 16 Aug 2009 21:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: must use blkid instead of vol_id
Date: Sun, 16 Aug 2009 23:06:49 +0200
[Message part 1 (text/plain, inline)]
Package: mdadm
Version: 3.0-2
Severity: important

The next udev upload will not contain the vol_id program anymore, since
it was removed by the upstream maintainer in May, and will declare a
Breaks relationship with the current version of your package.

You need to update the rules file in your package to use:

/sbin/blkid -o udev -p ...

instead of:

vol_id --export ...

Your package will need to depend on util-linux >> 2.16.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#541884; Package mdadm. (Sun, 23 Aug 2009 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 23 Aug 2009 17:45:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#541884: must use blkid instead of vol_id
Date: Sun, 23 Aug 2009 19:33:17 +0200
[Message part 1 (text/plain, inline)]
On Aug 16, Marco d'Itri <md@linux.it> wrote:

> The next udev upload will not contain the vol_id program anymore, since
It will also stop copying all rules files in the initramfs, so please
copy 64-md-raid.rules from your own initramfs hook script.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#541884; Package mdadm. (Sun, 23 Aug 2009 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sun, 23 Aug 2009 18:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 541884@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Marco d'Itri <md@Linux.IT>, 541884@bugs.debian.org
Subject: Re: Bug#541884: must use blkid instead of vol_id
Date: Sun, 23 Aug 2009 20:14:45 +0200
[Message part 1 (text/plain, inline)]
also sprach Marco d'Itri <md@Linux.IT> [2009.08.23.1933 +0200]:
> On Aug 16, Marco d'Itri <md@linux.it> wrote:
> 
> > The next udev upload will not contain the vol_id program anymore, since
> It will also stop copying all rules files in the initramfs, so please
> copy 64-md-raid.rules from your own initramfs hook script.

You did not provide a pseudo header, so this didn't get filed.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#541884; Package mdadm. (Mon, 14 Sep 2009 08:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Kujau <lists@nerdbynature.de>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 14 Sep 2009 08:57:04 GMT) Full text and rfc822 format available.

Message #20 received at 541884@bugs.debian.org (full text, mbox):

From: Christian Kujau <lists@nerdbynature.de>
To: 541884@bugs.debian.org
Subject: Re: Bug#541884: must use blkid instead of vol_id
Date: Mon, 14 Sep 2009 01:41:43 -0700 (PDT)
Hi,

mdadm is still not available in unstable. I changed the rules file
as suggessted by Marco, dpkg-buildpackage'd it and was able to
install and use mdadm again[0]. If only a developer could do the
same and upload it... :-)

Thanks,
Christian.

[0] http://nerdbynature.de/bits/BTS-541884/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#541884; Package mdadm. (Mon, 14 Sep 2009 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Mon, 14 Sep 2009 14:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 541884@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Christian Kujau <lists@nerdbynature.de>, 541884@bugs.debian.org
Subject: Re: Bug#541884: must use blkid instead of vol_id
Date: Mon, 14 Sep 2009 16:01:47 +0200
[Message part 1 (text/plain, inline)]
also sprach Christian Kujau <lists@nerdbynature.de> [2009.09.14.1041 +0200]:
> mdadm is still not available in unstable. I changed the rules file
> as suggessted by Marco, dpkg-buildpackage'd it and was able to
> install and use mdadm again[0]. If only a developer could do the
> same and upload it... :-)

I am totally overwhelmed. Could you make a patch? E.g. run a debdiff
on the .dsc files of the current your your working package? Then
I could upload it.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Forcibly Merged 541884 548629. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sun, 27 Sep 2009 21:39:11 GMT) Full text and rfc822 format available.

Forcibly Merged 541884 548629 548913. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Wed, 30 Sep 2009 08:12:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#541884; Package mdadm. (Wed, 30 Sep 2009 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Wed, 30 Sep 2009 11:45:08 GMT) Full text and rfc822 format available.

Message #34 received at 541884@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 541884@bugs.debian.org
Subject: swamped
Date: Wed, 30 Sep 2009 12:44:45 +0200
[Message part 1 (text/plain, inline)]
please feel free to NMU. I won't be able to get to mdadm until the
end of October at the earliest.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Added indication that 541884 affects udev Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 30 Sep 2009 12:18:06 GMT) Full text and rfc822 format available.

Reply sent to christian kujau <lists@nerdbynature.de>:
You have taken responsibility. (Wed, 30 Sep 2009 13:15:26 GMT) Full text and rfc822 format available.

Notification sent to Marco d'Itri <md@linux.it>:
Bug acknowledged by developer. (Wed, 30 Sep 2009 13:15:26 GMT) Full text and rfc822 format available.

Message #41 received at 541884-close@bugs.debian.org (full text, mbox):

From: christian kujau <lists@nerdbynature.de>
To: 541884-close@bugs.debian.org
Subject: Bug#541884: fixed in mdadm 3.0-3.1
Date: Wed, 30 Sep 2009 12:47:06 +0000
Source: mdadm
Source-Version: 3.0-3.1

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_3.0-3.1_amd64.udeb
  to pool/main/m/mdadm/mdadm-udeb_3.0-3.1_amd64.udeb
mdadm_3.0-3.1.diff.gz
  to pool/main/m/mdadm/mdadm_3.0-3.1.diff.gz
mdadm_3.0-3.1.dsc
  to pool/main/m/mdadm/mdadm_3.0-3.1.dsc
mdadm_3.0-3.1_amd64.deb
  to pool/main/m/mdadm/mdadm_3.0-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541884@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
christian kujau <lists@nerdbynature.de> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Sep 2009 10:15:21 +0200
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source amd64
Version: 3.0-3.1
Distribution: unstable
Urgency: medium
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: christian kujau <lists@nerdbynature.de>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 541884
Changes: 
 mdadm (3.0-3.1) unstable; urgency=medium
 .
    * Non-maintainer upload.
    * use blkid instead of vold_id in udev-md-raid.rules (closes: #541884)
Checksums-Sha1: 
 bf4436cc84d72d1d4a5d80ef57aaf731729f9de8 1224 mdadm_3.0-3.1.dsc
 f617a131de67cf449fbd9e9ca3e1a569ada1fc94 141799 mdadm_3.0-3.1.diff.gz
 4ea6be43097c7215335b1d0e0cf8616446bb39a8 430134 mdadm_3.0-3.1_amd64.deb
 a8f2895bc936dead30773521b6e3dbf1a9cfb60b 128260 mdadm-udeb_3.0-3.1_amd64.udeb
Checksums-Sha256: 
 93b64b137158cac61ee244768bed6baf6290c311fe4c8aef552a5dc3798f39a7 1224 mdadm_3.0-3.1.dsc
 30940c6d4ee9ffee3db50e7ce8a194a58a73e58dc6c94f94f31fb498bd5300ef 141799 mdadm_3.0-3.1.diff.gz
 1e0c589b7a70fefbba468afbc6cbd19a392a6c667627eff38ae0c18897d852ff 430134 mdadm_3.0-3.1_amd64.deb
 dea22db2b20e03d7d74307d51693e19ef2ad4c157332b5118ce54eb522039bc6 128260 mdadm-udeb_3.0-3.1_amd64.udeb
Files: 
 674af3113d0d7e3f90563939d0287b83 1224 admin optional mdadm_3.0-3.1.dsc
 4e56d2aa4923bb83960cc3fa8b0cd25a 141799 admin optional mdadm_3.0-3.1.diff.gz
 9b936da1577bc6118336327b7e57a6f5 430134 admin optional mdadm_3.0-3.1_amd64.deb
 407512bd29f5cfe8616e7bb4bfb7d662 128260 debian-installer optional mdadm-udeb_3.0-3.1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrDT/wACgkQAxLow12M2numRwCggdN3LAul2kW/0mLwCZg+KvCz
BBcAn0zLU8uns1n7cZnFdSWQyK7SUGUn
=JcO+
-----END PGP SIGNATURE-----





Reply sent to christian kujau <lists@nerdbynature.de>:
You have taken responsibility. (Wed, 30 Sep 2009 13:15:27 GMT) Full text and rfc822 format available.

Notification sent to Kupor Laszlo <willy@WiZARD.DunaNet.HU>:
Bug acknowledged by developer. (Wed, 30 Sep 2009 13:15:27 GMT) Full text and rfc822 format available.

Reply sent to christian kujau <lists@nerdbynature.de>:
You have taken responsibility. (Wed, 30 Sep 2009 13:15:28 GMT) Full text and rfc822 format available.

Notification sent to Pat Suwalski <pat@suwalski.net>:
Bug acknowledged by developer. (Wed, 30 Sep 2009 13:15:28 GMT) Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 29 Oct 2009 03:24:57 GMT) Full text and rfc822 format available.

Notification sent to Marco d'Itri <md@linux.it>:
Bug acknowledged by developer. (Thu, 29 Oct 2009 03:24:57 GMT) Full text and rfc822 format available.

Message #56 received at 541884-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 541884-close@bugs.debian.org
Subject: Bug#541884: fixed in mdadm 3.0.3-1
Date: Tue, 27 Oct 2009 21:13:38 +0000
Source: mdadm
Source-Version: 3.0.3-1

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_3.0.3-1_amd64.udeb
  to main/m/mdadm/mdadm-udeb_3.0.3-1_amd64.udeb
mdadm_3.0.3-1.diff.gz
  to main/m/mdadm/mdadm_3.0.3-1.diff.gz
mdadm_3.0.3-1.dsc
  to main/m/mdadm/mdadm_3.0.3-1.dsc
mdadm_3.0.3-1_amd64.deb
  to main/m/mdadm/mdadm_3.0.3-1_amd64.deb
mdadm_3.0.3.orig.tar.gz
  to main/m/mdadm/mdadm_3.0.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541884@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Tue, 27 Oct 2009 18:06:13 +0100
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source amd64
Version: 3.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 537734 538143 538843 541884 549083 549535
Changes: 
 mdadm (3.0.3-1) unstable; urgency=low
 .
   * New upstream release.
   * Acknowledge 3.0-3.1 NMU by Christian Kujau (patch by Marco d'Itri)
     (closes: #541884), and add util-linux dependency.
   * Copy udev rules into initramfs, which udev stopped doing
     (closes: #549535, #549083, #538843, #538143).
   * Fix the bug script to write debug information to the correct file
     descriptor (closes: #537734).
   * Switch to TopGit and split Debian diff into topic branches; add
     README.source.
   * Drop the outdated rootraiddoc.97.html document.
Checksums-Sha1: 
 18fd86603e7dad85c2e2143c16ea0f534e0e89a8 1235 mdadm_3.0.3-1.dsc
 6d79cc9ff861e1b515d76004057020ff02ccdf0f 337133 mdadm_3.0.3.orig.tar.gz
 83258b0ae5f7020f496ff9794dca76d0647fe7de 129088 mdadm_3.0.3-1.diff.gz
 f32c636df5fa363fc1df74d40671f77f73463723 422130 mdadm_3.0.3-1_amd64.deb
 be0675bebbe9dd9f41f5321711b1291ebf452488 130688 mdadm-udeb_3.0.3-1_amd64.udeb
Checksums-Sha256: 
 c20868d728557c7b542cf14a1551dd083e43f853e213b4899a55bcd1f05b04fb 1235 mdadm_3.0.3-1.dsc
 34448b356e11602be6ccb0db00b483d50995f4a55b055b12bee431ab5d16e8cd 337133 mdadm_3.0.3.orig.tar.gz
 baca8ee115124e09ada20430e5345b2884a75acce97f00cc61ed0d0565dbfdf7 129088 mdadm_3.0.3-1.diff.gz
 ece8748b434a0768d97044b1e7fa52725516a6bbf0471af8fb70813d9cd6cb31 422130 mdadm_3.0.3-1_amd64.deb
 85afcaad65564eae5b08cb2b6e69aeaf9fc6683d9910d45cb706dd3b5c2a8d34 130688 mdadm-udeb_3.0.3-1_amd64.udeb
Files: 
 3c67796168f0fe90d2c3a5626b96e198 1235 admin optional mdadm_3.0.3-1.dsc
 80ef2a544bfe39ac2e47686485f470ef 337133 admin optional mdadm_3.0.3.orig.tar.gz
 8da743cb21118c5e3fa367d88a1532e4 129088 admin optional mdadm_3.0.3-1.diff.gz
 a59a3fa4750a30d31e3b8a058efc03e8 422130 admin optional mdadm_3.0.3-1_amd64.deb
 1117d3644f2f72b851929acdb74f6420 130688 debian-installer optional mdadm-udeb_3.0.3-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkrnTMcACgkQIgvIgzMMSnVOAgCfXD+p2g8Z69zwDXlmiYbpCrmp
GqYAoKrEmv2L744oXBeXxAkmOMzRB7Ll
=+GET
-----END PGP SIGNATURE-----





Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 29 Oct 2009 03:24:58 GMT) Full text and rfc822 format available.

Notification sent to Kupor Laszlo <willy@WiZARD.DunaNet.HU>:
Bug acknowledged by developer. (Thu, 29 Oct 2009 03:24:59 GMT) Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. (Thu, 29 Oct 2009 03:25:00 GMT) Full text and rfc822 format available.

Notification sent to Pat Suwalski <pat@suwalski.net>:
Bug acknowledged by developer. (Thu, 29 Oct 2009 03:25:00 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 26 Nov 2009 07:27:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 12:00:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.